import { Injectable } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';
import { LoginTokenViewModel } from '../entity/Auth';

@Injectable({
  providedIn: 'root'
})
export class LoginUserService {

  userAccess: LoginTokenViewModel;
  signalRInitialized = new BehaviorSubject<string>(null);
  constructor() {

  }

  setSignalRConnectionId(id: string) {
    this.userAccess.signalRConnectionId = id;
  }

  public get sessionTabId(): string {
    return localStorage.getItem('tabId');
  }
  public set sessionTabId(v: string) {
    localStorage.setItem('tabId', v);
  }

}
